import React from 'react';
import {View, StyleSheet, Button} from 'react-native';

export default function HomeScreen({navigation}) {
  return (
    <View style={styles.main}>
      <View style={styles.container}>
        <View style={styles.buttonItem}>
          <Button
            title="激励视频广告"
            onPress={() => {
              navigation.navigate('RewardVideo');
            }}
          />
        </View>
        <View style={styles.buttonItem}>
          <Button
            title="Banner 广告"
            onPress={() => {
              navigation.navigate('Banner');
            }}
          />
        </View>
        <View style={styles.buttonItem}>
          <Button
            title="原生广告"
            onPress={() => {
              navigation.navigate('Native');
            }}
          />
        </View>
        <View style={styles.buttonItem}>
          <Button
            title="插屏广告"
            onPress={() => {
              navigation.navigate('Interstitial');
            }}
          />
        </View>
        <View style={styles.buttonItem}>
          <Button
            title="Draw 视频广告"
            onPress={() => {
              navigation.navigate('DrawVideo');
            }}
          />
        </View>
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  main: {
    flex: 1,
    position: 'relative',
  },
  container: {
    flex: 1,
    alignItems: 'center',
    marginTop: 30,
    backgroundColor: '#F5FCFF',
  },
  buttonItem: {
    marginBottom: 30,
    width: 300,
  },
});
