//
//  MobADBannerViewManager.m
//  react-native-mobad
//
//  Created by hoc on 2020/12/2.
//

#import "MobADBannerViewManager.h"
#import "MobADBannerView.h"

@implementation MobADBannerViewManager

RCT_EXPORT_MODULE(BannerAdView)
RCT_EXPORT_VIEW_PROPERTY(src, NSDictionary)
RCT_EXPORT_VIEW_PROPERTY(onEvent, RCTBubblingEventBlock)


/// 重写这个方法，返回将要提供给RN使用的视图
- (UIView *)view {
  return [[MobADBannerView alloc] initWithFrame: [UIScreen mainScreen].bounds];
}

- (dispatch_queue_t)methodQueue
{
  return dispatch_get_main_queue();
}

@end
