#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

static BOOL MobAD_plugin_debug = NO;

NS_ASSUME_NONNULL_BEGIN

@interface ADUniTool : NSObject
@property (nonatomic, strong) NSDictionary *splashInfo;
@property (nonatomic, assign) NSInteger splashInterval;

+ (instancetype)sharedTool;
+ (void)setDebug:(BOOL)debug;
+ (void)log:(NSString *)format, ... ;
+ (BOOL)isInvalidString:(NSString *)s;
+ (UIViewController *)findCurrentShowingViewController;

+ (CGFloat)statusBarHeight;
@end

NS_ASSUME_NONNULL_END
