require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

Pod::Spec.new do |s|
  s.name         = "react-native-mobad"
  s.version      = package["version"]
  s.summary      = package["description"]
  s.description  = <<-DESC
                  react-native-mobad
                   DESC
  s.homepage     = "https://github.com/github_account/react-native-mobad"
  # brief license entry:
  s.license      = "MIT"
  # optional - use expanded license entry instead:
  # s.license    = { :type => "MIT", :file => "LICENSE" }
  s.authors      = { "Your Name" => "yourname@email.com" }
  s.platforms    = { :ios => "9.0" }
  s.source       = { :git => "https://github.com/github_account/react-native-mobad.git", :tag => "#{s.version}" }

  s.source_files = "ios/**/*.{h,c,m,swift}"
  s.requires_arc = true
  s.dependency 'Aspects'
  s.dependency 'AFNetworking'
  s.dependency 'MJExtension'
  s.dependency 'ReactiveObjC'
  s.dependency 'SDWebImage'
  s.dependency 'Ads-CN', '~> 4.3.0.5'
  s.dependency 'GDTMobSDK', '~> 4.13.53'
  s.dependency 'KSAdSDKFull', '~> 3.3.28'
  s.dependency 'SigmobAd-iOS', '~> 3.5.4'
  s.dependency 'MobADSDK', '~> 2.4.11'
  s.dependency "React"
  # ...
  # s.dependency "..."
end

