import React from 'react';
import {requireNativeComponent} from 'react-native';

const DrawFeedView = requireNativeComponent('DrawFeedView');

export class DrawFeed extends React.Component {
  constructor(props) {
    super(props);
    this._onEvent = this._onEvent.bind(this);
  }
  _onEvent(event) {
    let nativeEvent = event.nativeEvent;
    if (this.props[nativeEvent.event]) {
      this.props[nativeEvent.event](nativeEvent);
    }
  }
  render() {
    return (
      <DrawFeedView
        {...this.props}
        src={{unitId: this.props.unitId}}
        onEvent={this._onEvent}
      />
    );
  }
}
